Zh YandexMap, bugfix – unable to create map(placemark)

Всем привет.

Исправил ошибку – для версии АПИ 2.1 (это значение сейчас используется по умолчанию) нельзя было создать карту (метку или путь) в административной панели.

В консоли появлялась ошибка и карта не кликалась.

Zh YandexMap, big changes to support API v2.1

Всем привет.

Я обновил расширение (все его части), и теперь по умолчанию используется версия АПИ 2.1

В настройках компонента вы можете выбрать предудыщие версии (2.0 и 1.x)

Что нового из АПИ 2.1 реализовано:

  • кнопка определения местоположения (может принимать стандартную иконку)
  • кнопка полноэкранного просмотра карты
  • кнопка измерения расстояний

Что изменено по сравнению с 2.0

  • кнопки не располагаются в тулбаре (тулбар больше не поддерживается API 2.1)
  • обзорная карта не поддерживается в 2.1
  • для элементов управления добавлены дополнительные значения по местоположению (прижатые вправо, влево – это помимо отступов и точного указания где расположены)

Исправления для 2.0 и 2.1

  • провайдер поиска изменен на обычный (после внесения народной карты в список карт яндекса тип провайдера изменился)
  • для пользовательских типов карт добавлены параметры мин. и макс. масштабов (иначе были трудности с бОльшими значениями)
  • в настройках карты можно подавить ссылку на переход в Яндекс.карты

Особое внимание следует уделить тому, что предопределенные типы меток (иконки), которые не из файла – изменили наименование (они разные для разных АПИ). В настройках метки кнопка об использовании в зависимости от версии АПИ отсылает на разные страницы.

Карты в админке также используют версию из настроек компонента.

 

ZhYandex Map, you can control title h1 – (h2 or h3) tag

В опциях компонента появилась возможность настраивать H-тег (h2 или h3). До этого момента был тег h2 и в нескольких местах h1. Теперь все берется из настройки.

Версия выложена в JED, так что теперь можно и не через Extension Manager обновиться до последней версии.

Zh YandexMap, big code review

Всем привет.

Наконец-то я переработал расширение на использование одного и того же кода, что и в компоненте.

Это большая веха, так как после данного релиза мне будет легче перейти на АПИ карт v.2.1

Сейчас в JED оставлена предыдущая версия, т.е. вы сможете откатиться на случай, если что-то сломается после обновления. Я это сделал для того, что пока я буду вне доступа к форуму и к расширению, вы сможете откатиться без ожидания, пока я не вернусь из отпуска.

Переработан компонент, плагин и немного исправлен модуль.

Более того, сейчас плагин стал поддерживать все опции, которые есть в компоненте (управление меток через список групп и т.п.)